Search Results for

Show / Hide Table of Contents

# Class TableView.TableStyle

Defines rendering options that affect how the table is displayed. See TableView Deep Dive for more information.

##### Inheritance

System.Object
TableView.TableStyle

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class TableStyle

### Properties

#### AlwaysShowHeaders

When scrolling down always lock the column headers in place as the first row of the table

##### Declaration

    public bool AlwaysShowHeaders { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### ColumnStyles

Collection of columns for which you want special rendering (e.g. custom column lengths, text alignment etc)

##### Declaration

    public Dictionary<DataColumn, TableView.ColumnStyle> ColumnStyles { get; set; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.Dictionary<System.Data.DataColumn, TableView.ColumnStyle> |

#### ExpandLastColumn

Determines rendering when the last column in the table is visible but it's content or MaxWidth is less than the remaining space in the control. True (the default) will expand the column to fill the remaining bounds of the control. False will draw a column ending line and leave a blank column that cannot be selected in the remaining space.

##### Declaration

    public bool ExpandLastColumn { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### InvertSelectedCellFirstCharacter

True to invert the colors of the first symbol of the selected cell in the TableView. This gives the appearance of a cursor for when the ConsoleDriver doesn't otherwise show this

##### Declaration

    public bool InvertSelectedCellFirstCharacter { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### RowColorGetter

Delegate for coloring specific rows in a different color. For cell color ColorGetter

##### Declaration

    public TableView.RowColorGetterDelegate RowColorGetter { get; set; }

##### Property Value

Type | Description
--- | ---
TableView.RowColorGetterDelegate |

#### ShowHorizontalHeaderOverline

True to render a solid line above the headers

##### Declaration

    public bool ShowHorizontalHeaderOverline { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### ShowHorizontalHeaderUnderline

True to render a solid line under the headers

##### Declaration

    public bool ShowHorizontalHeaderUnderline { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### ShowVerticalCellLines

True to render a solid line vertical line between cells

##### Declaration

    public bool ShowVerticalCellLines { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### ShowVerticalHeaderLines

True to render a solid line vertical line between headers

##### Declaration

    public bool ShowVerticalHeaderLines { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### SmoothHorizontalScrolling

Determines how ColumnOffset is updated when scrolling right off the end of the currently visible area.

If true then when scrolling right the scroll offset is increased the minimum required to show the new column. This may be slow if you have an incredibly large number of columns in your table and/or slow RepresentationGetter implementations

If false then scroll offset is set to the currently selected column (i.e. PageRight).

##### Declaration

    public bool SmoothHorizontalScrolling { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

### Methods

#### GetColumnStyleIfAny(DataColumn)

Returns the entry from ColumnStyles for the given `col` or null if no custom styling is defined for it

##### Declaration

    public TableView.ColumnStyle GetColumnStyleIfAny(DataColumn col)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Data.DataColumn | col |

##### Returns

Type | Description
--- | ---
TableView.ColumnStyle |

#### GetOrCreateColumnStyle(DataColumn)

Returns an existing TableView.ColumnStyle for the given `col` or creates a new one with default options

##### Declaration

    public TableView.ColumnStyle GetOrCreateColumnStyle(DataColumn col)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Data.DataColumn | col |

##### Returns

Type | Description
--- | ---
TableView.ColumnStyle |